<?php

require('../conexion.php');
function get_materias_prima(){
    //SELECT DISTINCT A.map_clasificacion 'MAP_CLASIFICACION' FROM materia_prima A;
    $reg=0;
    $datos=array();
    $result = query("SELECT DISTINCT A.map_clasificacion 'MAP_CLASIFICACION' FROM materia_prima A");
    while($resultado=mysqli_fetch_assoc($result))
    {
        $datos[$reg]["MAP_CLASIFICACION"]=$resultado["MAP_CLASIFICACION"];
        $reg++;
    }
    return $datos;
}
$materias_prima = get_materias_prima();
?>

<select class="form-select" name="" id="seleccionar_mat_prima">
    <?php foreach ($materias_prima as $materia_prima) {
        echo "<option value='".$materia_prima['MAP_CLASIFICACION']."' >".$materia_prima['MAP_CLASIFICACION']."</option>";
    }?>
</select>